Issue #6386 has been updated by mame (Yusuke Endoh).

Subject changed from URI.parse should raise an error for invalid uri 'http:/' to URI.parse should raise an error for invalid uri 'http:/'
Target version changed from 2.0.0 to 2.1.0

The URI maintainer, akira, is inactive for a long time.
I think that he should be discharged.

http://bugs.ruby-lang.org/projects/ruby/wiki/MaintainerDischargingProcess

-- 
Yusuke Endoh <mame / tsg.ne.jp>
----------------------------------------
Bug #6386: URI.parse should raise an error for invalid uri &#x27;http:/&#x27;
https://bugs.ruby-lang.org/issues/6386#change-36520

Author: zzak (Zachary Scott)
Status: Assigned
Priority: Normal
Assignee: akira (akira yamada)
Category: lib
Target version: 2.1.0
ruby -v: -


I've added a test to cover this, or you can use the following workaround[1].

1: http://pastie.org/3845341


-- 
http://bugs.ruby-lang.org/